package net.wanji.opt.synthesis.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.opt.synthesis.service.impl.StrategyGreenBeltServiceImpl;
import net.wanji.opt.vo.GreenBeltChartVO;
import net.wanji.opt.vo.GreenBeltInfoVO;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.ws.rs.core.MediaType;
import java.util.Date;

/**
 * @author duanruiming
 * @date 2024/11/19 20:10
 * @description 神思推送绿波时序图
 */
@Api(value = "StrategyGreenBeltController", description = "策略绿波带")
@RequestMapping("/strategyBelt")
@RestController
public class StrategyGreenBeltController {

    @Resource
    private StrategyGreenBeltServiceImpl strategyGreenBeltService;

    @ApiOperation(value = "绿波时序图数据查询", notes = "绿波时序图数据查询", response = JsonViewObject.class,
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @GetMapping(value = "/greenBletData")
    @ApiResponses({
            @ApiResponse(code = 200, message = "OK", response = GreenBeltInfoVO.class),
    })
    public JsonViewObject greenBletData(String greenId) throws Exception {
        //String key = Constants.GREEN_ID_OPT_KEY.concat(greenId);
        //Object obj = redisUtils.get(key);
        JsonViewObject jsonViewObject = JsonViewObject.newInstance();
        //GreenBeltInfoVO greenBeltInfoVO = JacksonUtils.getInstance().readValue(String.valueOf(obj), GreenBeltInfoVO.class);
        return jsonViewObject.success(null);
    }

    @ApiOperation(value = "绿波时序图图形查询", notes = "绿波时序图图形查询", response = JsonViewObject.class,
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @GetMapping(value = "/greenBeltChart")
    @ApiResponses({
            @ApiResponse(code = 200, message = "OK", response = GreenBeltInfoVO.class),
    })
    public JsonViewObject greenBeltChart(Integer greenId) throws Exception {
        GreenBeltChartVO greenBeltChartVO = strategyGreenBeltService.selectChart(greenId, null);
        return JsonViewObject.newInstance().success(greenBeltChartVO);
    }

}
